import { circle} from 'd3';

export const Marks = ({
  data,
  xScale,
  xValue,
  yScale,
  yValue,
  colorScale,
  colorValue,
  tooltipFormat,
  circleRadius
}) => data.map(d => (
  <circle
 		 fill= {colorScale(colorValue(d))}
     cx={xScale(xValue(d))} 
      cy={yScale(yValue(d))} 
      r={circleRadius}
   >
  <title>{tooltipFormat(xValue(d.location))}</title>
  </circle>
 ));
